Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Java optional install required #6090

Closed
cyberduck opened this issue Jul 19, 2011 · 18 comments
Closed

Java optional install required #6090

cyberduck opened this issue Jul 19, 2011 · 18 comments
Assignees
Labels
appstore bug high priority thirdparty version:4.2.1
Milestone

Comments

@cyberduck
Copy link
Collaborator

@cyberduck cyberduck commented Jul 19, 2011

916f88a created the issue

Ist es möglich, auf Java so zu verzichten, sodass man Cyberduck auch einfach so starten kann? Ich nutze Cyberduck schon lange und habe es mir nun im AppStore gekauft, da man gute Programme unterstützen sollte! Dieses Programm ist mac-like! Nur leider ist es störend, dass man nur mit einem Update und der damit verbundenen Java-Runtime Installation Cyberduck ausführen und nutzen kann...
Ich wäre froh, wenn dieses in Zukunft auch ohne extra Installation von Java auskommt...

Im Anhang mal ein Screenshot aus dem Netz, dabei muss nur das CS5ServiceManager durch Cyberduck ausgetauscht werden...
http://www.berndsworld.com/wp-content/uploads/2011/06/Java-Installation-Lion.png

YOU CAN NOT USE CYBERDUCK WITHOUT INSTALLING JAVA!!!


Attachments

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jul 19, 2011

@dkocher commented

This should have been fixed in 66f7d0f. Are you running 4.1 and get the installation alert?

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jul 21, 2011

916f88a commented

Replying to [comment:1 dkocher]:

This should have been fixed in 66f7d0f. Are you running 4.1 and get the installation alert?

i am running 4.1 (latest version from mac appstore) and i cant start cyberduck! only, if i install java!

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jul 21, 2011

916f88a commented

please let open and not fixed! because i have a new mac with lion and have that problem with Mac OS X Lion 10.7 and also with Snow Leopard 10.6!
any solutions?

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jul 23, 2011

916f88a commented

Jetzt noch einmal aktuelle Screenshots von mir, App 4.1 aus dem Store frisch letzte Nacht mit 10.7 (Lion) installiert...
__

Now current screenshots from app version 4.1 from mac app store. my operating system 10.7 (Lion), installed last night!

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jul 28, 2011

@dkocher commented

The Java runtime is not needed to be installed for the App Store version but due to a bug in a system library shipped with OS X the optional install alert is triggered. This will take some longer time to get resolved.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Aug 8, 2011

@dkocher commented

Should be fixed in this changeset.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Aug 28, 2011

916f88a commented

Thanks for this information. Will you inform me, if this is fixed? Thanks for your work!

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Aug 29, 2011

@dkocher commented

I can't give an estimate as we depend on Apple here.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Sep 21, 2011

916f88a commented

Thanks, hope, Apple will answer soon.
I bought your version at the Mac AppStore to support your work. Thanks for that!
Only one point, it seems, apple is lazy because there is version 4.1.1 and here we are at 4.1.2 ;-)

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Nov 14, 2011

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Nov 18, 2011

@dkocher commented

Milestone 4.2 deleted

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Apr 22, 2012

916f88a commented

any new informations?

is it possible to change cyberduck in that way, that this message will not appear and ask to install java? cyberduck is a great application, but this message is a reason not to use it. i don't want to install java...

please change the code of cyberduck in that way, that this message appears anymore...

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Apr 29, 2012

916f88a commented

It is too bad. 9 month this ticket is now open, nothing happens... i think, i had to search another ftp client...

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented May 21, 2012

@dkocher commented

This will be fixed in Java for OS X 2012-004.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented May 24, 2012

@dkocher commented

Replying to [comment:25 dkocher]:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jun 13, 2012

916f88a commented

Replying to [comment:26 dkocher]:

Replying to [comment:25 dkocher]:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

This is not fixed in Java for OS X 2012-004.
Can't open Cyberduck without installing Java!

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Jun 19, 2012

@dkocher commented

Replying to [comment:27 brauseauto]:

Replying to [comment:26 dkocher]:

Replying to [comment:25 dkocher]:

This will be fixed in Java for OS X 2012-004.

And a potential other OS X update for systems with no Java installed.

This is not fixed in Java for OS X 2012-004.
Can't open Cyberduck without installing Java!

This only applies to the App Store version which does need no Java runtime installed. The regular download still requires a installed Java runtime.

@cyberduck
Copy link
Collaborator Author

@cyberduck cyberduck commented Sep 25, 2012

@dkocher commented

In 5667e54 and 55ae508.

@iterate-ch iterate-ch locked as resolved and limited conversation to collaborators Nov 26, 2021
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Labels
appstore bug high priority thirdparty version:4.2.1
Projects
None yet
Development

No branches or pull requests

2 participants